Bug 137619 - [kde] OO files lose file assocations in FC3T3 and TC3rc3
[kde] OO files lose file assocations in FC3T3 and TC3rc3
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: 139485 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-10-29 15:34 EDT by Kim Lux
Modified: 2007-11-30 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.9.87
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-29 05:22:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kim Lux 2004-10-29 15:34:21 EDT
Description of problem:

After an upgrade from FC2 to FC3T3 and after a fresh install of
FC3rc3, OO files don't have any file associations.  Ie if one double
clicks mydoc.swx, the "Open with..." dialog appears.  Furthermore, it
doesn't have the "remember file association" checkbox on it, so one
can't set the association right then. 

Version-Release number of selected component (if applicable):

I can't find oowriter or oo.org in the rpms.  The help->About version
of oowriter is 1.1.2.

How reproducible:

On both installations, all the time. 

Steps to Reproduce:
1. Double click an oowriter doc.
2. Double click an oocalc spreadsheet. 
Actual results:

"Open With..." appears.

Expected results:

ooapplication should open the file. 
Additional info:
Comment 1 Dan Williams 2004-10-29 15:44:19 EDT
What version of shared-mime-info do you have, and what are the last 10
lines of /usr/share/applications/redhat-word-processor.desktop?

Comment 2 Kim Lux 2004-10-29 15:59:55 EDT

$ rpm -q shared-mine-info
package shared-mine-info is not installed

Comment 3 Dan Williams 2004-10-29 16:12:08 EDT
Ooops, mistype, you put "shared-mine-info" rather than
Comment 4 Kim Lux 2004-10-29 16:17:00 EDT
Comment 5 Dan Williams 2004-10-29 16:21:33 EDT
Jonathan, any ideas?
Comment 6 Dan Williams 2004-10-29 16:22:17 EDT
The OOo .desktop files get pulled in from redhat-menus on %install
phase, so they are
redhat-spreadsheet.desktop, etc
Comment 7 Kim Lux 2004-10-29 16:26:49 EDT
cat /usr/share/applications/redhat-word-processor.desktop

Name=OpenOffice.org Writer
Name[ar]=أوبن أوفيس.أورغ رايتر
Name[bg]=OpenOffice.org Writer

<snipped a bunch of Comments here>

Comment[zu]=Umgayi wegama
Comment 8 Kim Lux 2004-10-29 16:32:42 EDT
$ cat /usr/share/applications/redhat-spreadsheet.desktop
[Desktop Entry]
Name=OpenOffice.org Calc
Name[ar]=أوبن أوفيس.أورغ كالك
Name[bg]=OpenOffice.org Calc
Name[bn]=ওপেন অফিসের কযালকলেটর (Calc)

<snipped a bunch of comments here>

Comment[zu]=Ikhasi lokubala
Comment 9 Jef Spaleta 2004-10-29 17:23:15 EDT
Let's be clear....
Is this KDE or Gnome desktop or something else where you are doing the
double-clicking on a doc?

From what ive read from your test-list posts you seem to be using a
kde desktop. I'm pretty sure I can't reproduce this on my gnome
desktop install.

I just want to make sure people aren't trying to reproduce a problem
that is desktop environment dependant...while in the wrong environment.

Comment 10 Kim Lux 2004-10-29 17:25:17 EDT
You are correct.  I am running a stock KDE desktop from the install. 
I change the display background and that is about it.
Comment 11 Kim Lux 2004-10-29 17:30:59 EDT
I just tested the double click opening of a calc spreadsheet in gnome
and it works fine.

Double click opening didn't work in KDE from the get go.  I know this
because the first thing I did in KDE last night was to set up my
wireless network card and I had to copy the config file settings from
a oowriter document I keep for that purpose.  It didn't work then and
that was the first login, save one to set the display size. 
Comment 12 Jef Spaleta 2004-10-29 17:49:36 EDT
So i take it... doubleclicking in kde means double clicking in konq?
Can you see if any other non kde apps have working file associations?
xmms for example or maybe gimp  maybe a gnome app like gnumeric? 

I ask because i want to know if this is a general problem with how
konq is handling non-kde applications or if this is open-office specific?

Comment 13 Kim Lux 2004-10-29 18:09:10 EDT
Doubleclicking in kde means double clicking in file manager or on the
desktop, desktop1, to be specific.  

I'm using gedit as my editor, for some strange reason, and its
documents open fine, both in konq and on the desktop.  My favorite
editor in FC2 as kwrite.  I don't have any gimp files.  gnumeric isn't
installed, nor is Koffice stuff. 

Just keep asking questions and I'll keep answering them.  There is no
such thing as a stupid question. 

BTW: the oo office documents have a big "?" on their icons. I'm trying
to think of another kde file that I'd have, but I can't at the moment.  

The K3B project file has its icon and opens on a double click.  html
pages have an icon and open with konqueror. 
Comment 14 P Jones 2004-11-12 21:48:40 EST
I did a fresh install of FC3 Final today, and immediately updated
using up2date, before running any applications. I have the same
problem, in that in KDE OpenOffice.org files are not associated with
OOo, and are unknown to KDE (the question mark icon). In GNOME,
associations are fine. As it sits right now, the only way, other than
using the CLI, to open an OOo file is by running OOo first, and then
opening the file from within OOo.
Comment 15 Kim Lux 2004-11-13 13:46:18 EST
I'm glad (?) to see that I am not alone.  
I've since upgraded to rc5 and then FC3 final and the problem has 
stayed all along.  
I wonder if it has something to do with what we run when we first run 
Linux.  Ie does this have anything to do with firstboot or whatever 
the service is that is supposed to run when one first boots a new 
Linux installation ? 
Comment 16 P Jones 2004-11-13 17:03:34 EST
Here's a fix (not sure if this is the complete answer, but it seems to
work); the desktop config files for OpenOffice.org are missing from
the /home/username/.kde/share/mimelnk/application directory. I copied
the following files from my .kde backup from FC2 to the
...mimelink/application directory:

Comment 17 P Jones 2004-11-13 17:28:42 EST
I should add to my previous post: those files probably came from the
OOo install I did of OOo 1.1.3 from OpenOffice.org, NOT the stock FC2
OOo. So, my above post is a hack, not a real fix.
Comment 18 Kim Lux 2004-11-13 19:03:37 EST
Ahha !!!!   My oo files were from a previous release as well.  I
backed up /home, upgraded and installed and then recovered /home so I
didn't lose any data.  I think we just found the crux of the problem.
 OO files from previous versions under KDE aren't opened by double
Comment 19 Kim Lux 2004-11-14 10:30:05 EST
I just checked to see what oowriter does with files that it creates
currently.  I saved a new file as test.sxw from oowriter.  It appears
with a question mark on my desktop and will not open on double click.

BTW: did the command line change for Open Office writer ?  Didn't it
used to be plain "writer" and now it is 'oowriter' ?  Does that have
something to do with this ?

Another thing that makes this issue worse is that if you do an "Open
With" and select oowriter, there isn't a "remember this file
association" option to make the association permanent.  I have seen
this option before in KDE, but I can't remember where or when or what
version.  What is up with that ?
Comment 20 Caolan McNamara 2005-03-16 09:49:44 EST
*** Bug 139485 has been marked as a duplicate of this bug. ***
Comment 21 Caolan McNamara 2005-03-29 05:22:59 EST
.desktop files are ok in rawhide for kde in 1.9.87 at least

Note You need to log in before you can comment on or make changes to this bug.